Histogram.DisplayMode (base API)
Date: 2019-04-05

com.twosigma.beakerx.chart.histogram

## Enum Histogram.DisplayMode

- java.lang.Object
- - java.lang.Enum<Histogram.DisplayMode>
  - - com.twosigma.beakerx.chart.histogram.Histogram.DisplayMode

- All Implemented Interfaces:
    java.io.Serializable, java.lang.Comparable<Histogram.DisplayMode>
  Enclosing class:
    Histogram

      public static enum Histogram.DisplayMode
      extends java.lang.Enum<Histogram.DisplayMode>

- - ### Enum Constant Summary

    Enum Constants
    Enum Constant and Description
    `OVERLAP`
    `SIDE_BY_SIDE`
    `STACK`

  - ### Method Summary

    All Methods Static Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `static Histogram.DisplayMode` | `valueOf(java.lang.String name)` Returns the enum constant of this type with the specified name.
    `static Histogram.DisplayMode[]` | `values()` Returns an array containing the constants of this enum type, in the order they are declared.

    - ### Methods inherited from class java.lang.Enum

      `clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

    - ### Methods inherited from class java.lang.Object

      `getClass, notify, notifyAll, wait, wait, wait`

- - ### Enum Constant Detail

    - #### OVERLAP

          public static final Histogram.DisplayMode OVERLAP

    - #### STACK

          public static final Histogram.DisplayMode STACK

    - #### SIDE_BY_SIDE

          public static final Histogram.DisplayMode SIDE_BY_SIDE

  - ### Method Detail

    - #### values

          public static Histogram.DisplayMode[] values()

      Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

          for (Histogram.DisplayMode c : Histogram.DisplayMode.values())
              System.out.println(c);

      Returns:
        an array containing the constants of this enum type, in the order they are declared

    - #### valueOf

          public static Histogram.DisplayMode valueOf(java.lang.String name)

      Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)
      Parameters:
        `name` - the name of the enum constant to be returned.
      Returns:
        the enum constant with the specified name
      Throws:
        `java.lang.IllegalArgumentException` - if this enum type has no constant with the specified name
        `java.lang.NullPointerException` - if the argument is null